Debian Bug report logs - #531600
busybox grep gives SEGV on ppc

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>

Date: Tue, 2 Jun 2009 16:54:06 UTC

Severity: important

Tags: patch

Merged with 521443

Found in version busybox/1:1.10.2-2

Fixed in version busybox/1:1.13.3-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#531600; Package busybox-static. (Tue, 02 Jun 2009 16:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 02 Jun 2009 16:54:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>
To: submit@bugs.debian.org
Cc: Geert Uytterhoeven <Geert.Uytterhoeven@sonycom.com>
Subject: busybox grep gives SEGV on ppc
Date: Tue, 2 Jun 2009 18:38:22 +0200 (CEST)
Package: busybox-static
Version: 1:1.10.2-2

`busybox grep' crashes with a segmentation fault, on both ppc32 and ppc64:

| # busybox grep
| Segmentation fault
| # 

Backtrace (on ppc64):

| # gdb -args busybox grep
| GNU gdb 6.8-debian
| Copyright (C) 2008 Free Software Foundation, Inc.
| License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
| This is free software: you are free to change and redistribute it.
| There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
| and "show warranty" for details.
| This GDB was configured as "powerpc-linux-gnu"...
| (no debugging symbols found)
| (gdb) run
| Starting program: /bin/busybox grep
| (no debugging symbols found)
| 
| Program received signal SIGSEGV, Segmentation fault.
| 0x100c2778 in ?? ()
| (gdb) bt
| #0  0x100c2778 in ?? ()
| #1  0x100c2768 in ?? ()
| #2  0x10136fcc in ?? ()
| #3  0x100c2a3c in ?? ()
| #4  0x100c2a6c in ?? ()
| #5  0x100c2cf0 in ?? ()
| #6  0x100c2d7c in ?? ()
| #7  0x10019870 in ?? ()
| #8  0x10019a10 in ?? ()
| #9  0x00000000 in ?? ()
| (gdb) 

As the busybox binary is copied into the initramfs, this affects the creation
of initrds when installing a new kernel image.

The version in sid (1:1.13.3-1) doesn't seem to have this bug anymore.

With kind regards,

Geert Uytterhoeven
Software Architect
Techsoft Centre

Technology and Software Centre Europe
The Corporate Village · Da Vincilaan 7-D1 · B-1935 Zaventem · Belgium

Phone:    +32 (0)2 700 8453
Fax:      +32 (0)2 700 8622
E-mail:   Geert.Uytterhoeven@sonycom.com
Internet: http://www.sony-europe.com/

A division of Sony Europe (Belgium) N.V.
VAT BE 0413.825.160 · RPR Brussels
Fortis · BIC GEBABEBB · IBAN BE41293037680010




Bug reassigned from package `busybox-static' to `busybox'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 05 Jun 2009 14:18:02 GMT) Full text and rfc822 format available.

Forcibly Merged 521443 531600. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 05 Jun 2009 14:18:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Sep 2009 07:26:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:21:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.